package com.huigou.topsun.quotation.application;

import com.huigou.topsun.quotation.domain.model.Quotation;
import com.huigou.topsun.quotation.domain.query.QuotationQueryRequest;

import java.util.Map;

/**
* @author 16508
* @description 针对表【quotation(报价单)】的数据库操作Service
* @createDate 2023-11-28 13:59:10
*/
public interface QuotationApplication {

    public static final String QUERY_XML_FILE_PATH = "config/topsun/quotation/quotation.xml";

    String PROCESS_DEFINITION_KEY = "quotationProc";

    Quotation findById(String id);

    Quotation saveQuotation(Quotation quotation);

    Map<String,Object> slicedQuotationList(QuotationQueryRequest queryRequest);

    Map<String, Object> loadPrintData(String quotationId);
}
